#!/usr/bin/python
# -*- coding: iso-8859-1 -*-

#_______________________________________________________________
# ACTOS
# Asterisk Configuration Tool Open Source
# (c) EOLE - Mai 2004 - Pierre Derrier
#_______________________________________________________________
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#   You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
#____________________________________________________________________________

import sys

try:
    fh=open("actions.def","w")
except:
    print "-- Error : Can't open actions.def !"
    sys.exit(1)

try:
    fi=open("actions.brut","r")
except:
    print "-- Error : Can't open actions.brut !"
    sys.exit(1)

lines=fi.readlines()
fi.close()

for l in lines:
    l=l.strip()
    if len(l)>0:
        if l[0]!='*':
            fh.write("["+l+"]\n")
            print "Categorie = "+l
        else:
            temp=l.split(":")
            nomcom=l[0].lstrip("*").strip()
            desc=l[1].strip()
            fh.write(nomcom+"##"+"##"+desc+"\n")
            print "Found "+nomcom

fh.close()
print "OK"
    

